# Clickable many2one fields for tree views

This addon forces Odoo to use many2one widget on a many2one fields in tree views. This allows users to open linked resources from trees directly, using a button without accessing the form.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Put the mouse pointer over a many2one cell and click the button.

# Known issues / Roadmap

This widget is currently not working on the product field in the lines tree of the sale order form, see https://github.com/OCA/web/pull/1438 for further details.

To add this functionality to lines of sales, purchases and invoices, as they are special views, is required a glue module that add this feature.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Therp BV
- Tecnativa
- Camptocamp
- Onestein

## Contributors

- Therp BV
- Pedro M. Baeza <pedro.baeza@serviciosbaeza.com>
- Antonio Espinosa <antonio.espinosa@tecnativa.com>
- Sodexis <dev@sodexis.com>
- Artem Kostyuk <a.kostyuk@mobilunity.com>
- Anand Kansagra <kansagraanand@hotmail.com>
- Alexandre Díaz <alexandre.diaz@tecnativa.com>
- Dennis Sluijk <d.sluijk@onestein.nl>
- Maciej Wichowski <maciej@versada.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.